﻿using Infragistics.Documents.RichText;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamRichTextEditor_ChangeFonts
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.FontList.ItemsSource = Fonts.SystemFontFamilies;

            var doc = this.XamRichTextEditor1.Document;
            var pn1 = new ParagraphNode();
            pn1.SetText("Some text");
            doc.RootNode.Body.ChildNodes.Add(pn1);

            var pn2 = new ParagraphNode();
            pn2.SetText("にほんご");
            doc.RootNode.Body.ChildNodes.Add(pn2);
        }

        private void FontList_SelectionChanged(
            object sender, SelectionChangedEventArgs e)
        {
            var fontName = this.FontList.SelectedItem.ToString();

            CharacterSettings csFont = new CharacterSettings() {
                FontSettings = new FontSettings() {
                    Ascii = fontName, EastAsia = fontName
                }
            };

            this.XamRichTextEditor1.Document.RootNode.Settings = 
                new DocumentSettings() { DefaultCharacterSettings = csFont };
        }
    }
}
